KDE 4.2 PyKDE API Reference

- KDE's Python API

# Phonon Namespace Reference

`from PyKDE4.phonon.Phonon import *`

## Detailed Description

## Class Index

A | MediaSource (Phonon) | Path (Phonon)
AbstractMediaStream (Phonon) | MediaSource (Phonon) | S
AbstractVideoOutput (Phonon) | O | SeekSlider (Phonon)
AudioOutput (Phonon) | ObjectDescription (Phonon) | StreamInterface (Phonon)
E | ObjectDescription (Phonon) | V
Effect (Phonon) | ObjectDescriptionData (Phonon) | VideoPlayer (Phonon)
EffectParameter (Phonon) | ObjectDescriptionData (Phonon) | VideoWidget (Phonon)
EffectWidget (Phonon) | ObjectDescriptionModel (Phonon) | VideoWidget (Phonon)
M | ObjectDescriptionModelData (Phonon) | VideoWidgetInterface (Phonon)
MediaController (Phonon) | P | VolumeFaderEffect (Phonon)
MediaNode (Phonon) | Packet (Phonon) | VolumeSlider (Phonon)
MediaObject (Phonon) | PacketPool (Phonon) |

## Enumerations

ObjectDescriptionType | { AudioOutputDeviceType, EffectType, AudioChannelType, SubtitleType, AudioCaptureDeviceType }
ObjectDescriptionType | { AudioOutputDeviceType, EffectType, AudioChannelType, SubtitleType, AudioCaptureDeviceType }

## Functions

Phonon.Path | createPath (Phonon.MediaNode source, Phonon.MediaNode sink)
Phonon.MediaObject | createPlayer (Phonon.Category category, Phonon.MediaSource source=Phonon.MediaSource())
long | qHash (Phonon.EffectParameter param)

## Enumeration Documentation

ObjectDescriptionType

Audio output devices. This can be soundcards (with different drivers), soundservers or other virtual outputs like playback on a different computer on the network.

For Hardware devices the backend should use libkaudiodevicelist (AudioDevice and AudioDeviceEnumerator) which will list removable devices even when they are unplugged and provide a unique identifier that can make backends use the same identifiers.

Enumerator:

  AudioOutputDeviceType |
  EffectType |
  AudioChannelType |
  SubtitleType |
  AudioCaptureDeviceType |

ObjectDescriptionType

Audio output devices. This can be soundcards (with different drivers), soundservers or other virtual outputs like playback on a different computer on the network.

For Hardware devices the backend should use libkaudiodevicelist (AudioDevice and AudioDeviceEnumerator) which will list removable devices even when they are unplugged and provide a unique identifier that can make backends use the same identifiers.

Enumerator:

  AudioOutputDeviceType |
  EffectType |
  AudioChannelType |
  SubtitleType |
  AudioCaptureDeviceType |

## Function Documentation

Phonon.Path createPath | ( | Phonon.MediaNode | source,
|  | Phonon.MediaNode | sink
| ) |  |  |

Phonon.MediaObject createPlayer | ( | Phonon.Category | category,
|  | Phonon.MediaSource | source=Phonon.MediaSource()
| ) |  |  |

long qHash | ( | Phonon.EffectParameter | param
| ) |  |  |